org.bdgenomics.adam.rdd.fragment

# Tab6InFormatter

###
Related Docs: class Tab6InFormatter | package fragment

#### object Tab6InFormatter extends InFormatterCompanion[Fragment, FragmentRDD, Tab6InFormatter] with Serializable

InFormatter companion that creates an InFormatter that writes Bowtie tab6 format.

Linear Supertypes
Serializable, Serializable, InFormatterCompanion[Fragment, FragmentRDD, Tab6InFormatter], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Tab6InFormatter
2. Serializable
3. Serializable
4. InFormatterCompanion
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(gRdd: FragmentRDD): Tab6InFormatter

   Builds an Tab6InFormatter to write Bowtie tab6 format.

   Builds an Tab6InFormatter to write Bowtie tab6 format.

   gRdd

     GenomicRDD of Fragments. Used to get HadoopConfiguration.

   returns

     Returns a new Tab6InFormatter.

   Definition Classes
     Tab6InFormatter → InFormatterCompanion

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from InFormatterCompanion[Fragment, FragmentRDD, Tab6InFormatter]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped